com.io7m.jstructural.annotated

## Class SASectionNumber

- java.lang.Object
- - com.io7m.jstructural.annotated.SASectionNumber

- All Implemented Interfaces:
    SASegmentNumber
  Direct Known Subclasses:
    SASectionNumberPS, SASectionNumberS

      public abstract class SASectionNumber
      extends Object
      implements SASegmentNumber

  An abstract section number.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SASectionNumber()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract <T> T` | `sectionNumberAccept(SASectionNumberVisitor<T> v)` Accept a section number visitor.
    `abstract String` | `sectionNumberFormat()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.io7m.jstructural.annotated.SASegmentNumber

      `segmentNumberAccept`

- - ### Constructor Detail

    - #### SASectionNumber

          public SASectionNumber()

  - ### Method Detail

    - #### sectionNumberAccept

          public abstract <T> T sectionNumberAccept(@Nonnull
                                  SASectionNumberVisitor<T> v)
                                         throws com.io7m.jaux.Constraints.ConstraintError,
                                                Exception

      Accept a section number visitor.
      Type Parameters:
        `T` - The type of values returned by the visitor
      Parameters:
        `v` - The visitor
      Returns:
        The value returned by the visitor
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If the visitor raises `Constraints.ConstraintError`
        `Exception` - If the visitor raises an `Exception`

    - #### sectionNumberFormat

          @Nonnull
          public abstract String sectionNumberFormat()

      Returns:
        A human-readable string representing the section number (such as "1.2")

Copyright © 2014. All rights reserved.